#include "./include/framelogin.h"
#include "ui_framelogin.h"

FrameLogin::FrameLogin(QWidget *parent) :
    QFrame(parent),
    ui(new Ui::FrameLogin)
{
    ui->setupUi(this);    
}

FrameLogin::~FrameLogin()
{
    delete ui;
}

QPushButton* FrameLogin::getButtonLogin()
{
    return ui->pushButton_enter;
}

QString FrameLogin::getLogin()
{
    return ui->lineEdit_login->text();
}

QString FrameLogin::getPassword()
{
    return ui->lineEdit_password->text();
}

void FrameLogin::setLogin(const QString &login)
{
    ui->lineEdit_login->setText(login);
}

void FrameLogin::setPassword(const QString &login)
{
    ui->lineEdit_password->setText(login);
}

QLabel* FrameLogin::getLabelLogin()
{
    return ui->label_login;
}

QLabel* FrameLogin::getLabelPassword()
{
    return ui->label_password;
}

QPushButton* FrameLogin::getButtonCreateAccount()
{
    return ui->pushButton_create_account;
}
