#ifndef FRAMELOGIN_H
#define FRAMELOGIN_H

#include <QFrame>
#include <QPushButton>
#include <QLabel>

namespace Ui {
    class FrameLogin;
}

class FrameLogin : public QFrame
{
    Q_OBJECT

public:
    explicit FrameLogin(QWidget *parent = 0);
    ~FrameLogin();

    QPushButton *getButtonLogin();
    QPushButton *getButtonCreateAccount();
    QString getLogin();
    void setLogin(const QString &login);
    void setPassword(const QString &password);
    QString getPassword();    
    QLabel *getLabelLogin();
    QLabel *getLabelPassword();

private:
    Ui::FrameLogin *ui;
};

#endif // FRAMELOGIN_H
