#include <QByteArray>
#include <kcmdlineargs.h>
#include <kapplication.h>
#include "psyncnotify.h"


class PSNApp:	public KApplication
{
    public:
    void saveState(QSessionManager & m)
    {
	m.setRestartHint(QSessionManager::RestartNever);
    };
};


int main(int argc, char *argv[])
{       
    KCmdLineArgs::init(argc, argv, QByteArray("psyncnotify"), QByteArray(), KLocalizedString(), QByteArray("1.0") );
    PSNApp app;
    app.setQuitOnLastWindowClosed(false);

    PSyncNotify w(&app);

    return app.exec();
}
