#include <fstream>
#include <iostream>
#include "config.h"
#include <libcfg.h>

config::config()
{
	path=string();
}
config::config(string p):path(p)
{
}

config::~config()
{
}

int config::reload()
{
    return 0;
}

string config::operator[](string property)
{
    int rc;
    char value[512];
    
    rc = get_param_str(path.c_str(),property.c_str(),value,512);
    if(rc != LIBCFG_SUCCESS) return string();
    return string(value);
}

int config::writeProperty(string property, string value)
{
    return set_param_str(path.c_str(),property.c_str(),(char*)value.c_str());
}
