#ifndef WEBDAV_P_H
#define WEBDAV_P_H

#include <string>
#include <map>
#include <vector>

using namespace std;
class WebDav_private
{
public:
	WebDav_private();
	~WebDav_private();
protected:
	string lock_token;
	//DAV helpers
	int put(string filename,string r_path, string lockt);
	int try_put(string r_path, string lockt);
	int get(string filename,string r_path, string lockt);
	int mkcol(string r_path, string lockt);
	int setprop(string r_path, map<string, string>& meta, string lock_token);
	int unlock(string r_path, string lockt);
	int lock(string r_path, string& lock_token);
	string propfind(string r_path, string lock_token, string prop);
	int _delete(const string path);

	int putfile(string local, string srv);

};
#endif //WEBDAV_P_H
