#include <string>
#include "WebDAV.h"
#include "ipc_proxy.h"
#include "filesdb.h"
#include "main.h"
using namespace std;

class syncronizer
{
public:
	syncronizer(string srv,unsigned short port,string col);
	~syncronizer();
	int dbconnect(string);

	int addFile(string);
	int removeFile(string path);
	int deleteFile(string);
	string checkDir(string);
	int checkFile(string path);
	string listAll();

	void fthread();
	void athread();
	void stop();
	int start();
	void syncAll();
	void syncStop();
	int TryAuth();//{return dav.TryAuth();};
	void setSyncTime(int sec);//0 -отключить
	void setMode(int _mode);
	void setIPC(ipc_proxy* i){ipc=i;};
	int is_work();

	void startAuto();
	void stopAuto();

	enum mode_e{
		MODE_NONE,
		MODE_TIME,
		MODE_AUTO,
	};
private:
	int sync();
	ipc_proxy* ipc;
	filedb db;
	
	int mode;	//TODO: Работать исходя из subj

	pthread_t th;
	pthread_t ath;
	int is_working, stopflag, automode;
	pthread_spinlock_t lock;
	int sync_time,def_synctime;

};
